Help oneliner in python console is not showing all info on Windows environment
2018-02-22 02:18 PM - Rosa Aguilar

Status: Open

Priority: Normal

Assignee:

Category: PyQGIS Console

Affected QGIS version:3.0.0 Regression?: No
Operating System: windows Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 26065
Description

the command help(iface.addVectorLayer) return an incomplete text when is used in the python console in Windows.

History

#1 - 2018-02-22 02:42 PM - Richard Duivenvoorde

- Category changed from Unknown to PyQGIS Console

- Subject changed from online in python console is not working on Windows environment to Help oneliner in python console is not showing all info on
Windows environment

Confirmed: To be even more clear, on Linux you get more information about every method. EG:

help(iface.addVectorLayer)

Help on built-in function addVectorLayer:

addVectorLayer(...) method of ggis._gui.QgisInterface instance

addVectorLayer(self, vectorLayerPath: str, baseName: str, providerKey: str) -> QgsVectorLayer

Add a vector layer

While on Windows you just get:

help(iface.addVectorLayer)

Help on built-in function addVectorLayer:

addVectorLayer(...) method of qgis._gui.QgisInterface instance

Add a vector layer

It looks like it is missing the interface line...

#2 - 2018-03-01 02:25 PM - Giovanni Manghi

- Affected QGIS version changed from master to 3.0.0
